# PODBC::Table Class Reference

PODBC::Table This is the main Class to access Data returned by a Select Query. More...

`#include <podbc.h>`

Inheritance diagram for PODBC::Table:

List of all members.

## Public Member Functions

Constructor/Deconstructor
| Table (PODBC *odbc, PString Query)
| Constructor Using the HDBC and TableName/Select SQL Query creates a virtual Table in the OBDC driver.
| ~Table ()
| Deconstructor.
Data Storage
Row | NewRow ()
| Add New Row.
PBoolean | DeleteRow (PINDEX row=0)
| Delete Row 0 indicates Current Row.
PBoolean | Post ()
| Post Update back to Database.
Utilities
PINDEX | Rows ()
| Rows.
PINDEX | Columns ()
| Columns.
PStringArray | ColumnNames ()
| ColumnNames.
Row & | RecordHandler ()
| Obtain the Record Handler.
Row & | operator[] (PINDEX row)
| Row return the fetched row in the Cached RecordSet.
Field & | operator() (PINDEX row, PINDEX col)
| Returns the Field data at a predetermined position in the Resultant RecordSet.
Field & | Column (PINDEX col)
| Returns the indicated Column Holder for the RecordSet, This can be used for iterative Row calls.
Field & | Column (PString Name)
| Returns the indicated Column Holder Name for the RecordSet,.

## Protected Attributes

PODBCStmt | stmt
PString | tableName
| ODBC Fetched Statement Info.
Row * | RowHandler
| Name of the Fetched Table (if used in Constructor).

## Detailed Description

PODBC::Table This is the main Class to access Data returned by a Select Query.

The Table does not actually create the RecordSet but acts as a wrapper to the driver to access the cached data in the Driver.

## Constructor & Destructor Documentation

PODBC::Table::Table | ( | PODBC * | odbc,
|  | PString | Query |
| ) |  |  |

Constructor Using the HDBC and TableName/Select SQL Query creates a virtual Table in the OBDC driver.

PODBC::Table::~Table | ( |  | ) |

Deconstructor.

## Member Function Documentation

Field& PODBC::Table::Column | ( | PString | Name | ) |

Returns the indicated Column Holder Name for the RecordSet,.

Field& PODBC::Table::Column | ( | PINDEX | col | ) |

Returns the indicated Column Holder for the RecordSet, This can be used for iterative Row calls.

PStringArray PODBC::Table::ColumnNames | ( |  | ) |

ColumnNames.

Return the list of column Names of the Resultant RecordSet

PINDEX PODBC::Table::Columns | ( |  | ) |

Columns.

Returns the Number of Columns in the Resultant RecordSet

PBoolean PODBC::Table::DeleteRow | ( | PINDEX | row = `0` | ) |

Delete Row 0 indicates Current Row.

Row PODBC::Table::NewRow | ( |  | ) |

Add New Row.

Field& PODBC::Table::operator() | ( | PINDEX | row,
|  | PINDEX | col |
| ) |  |  |

Returns the Field data at a predetermined position in the Resultant RecordSet.

It Fetches the Row than isolates the Column from the fetched data.

Row& PODBC::Table::operator[] | ( | PINDEX | row | ) |

Row return the fetched row in the Cached RecordSet.

An Array of PODBC::Field

PBoolean PODBC::Table::Post | ( |  | ) |

Post Update back to Database.

Row& PODBC::Table::RecordHandler | ( |  | ) |

Obtain the Record Handler.

This can be used as a Template to obtain Record Information. A call to tablename[i] will update the recordHandler with the Values contained in i Record.

PINDEX PODBC::Table::Rows | ( |  | ) |

Rows.

Returns the Number of Rows in the Resultant RecordSet

## Member Data Documentation

Row* PODBC::Table::RowHandler `[protected]`

Name of the Fetched Table (if used in Constructor).

PODBCStmt PODBC::Table::stmt `[protected]`

PString PODBC::Table::tableName `[protected]`

ODBC Fetched Statement Info.

The documentation for this class was generated from the following file:

- podbc.h